package com.hzya.frame.plugin.lets.u8cdto;

import com.hzya.frame.plugin.lets.entity.*;
import com.hzya.frame.ttxofs.dto.ofssaleorderoutsearch.HeaderDetailsDto;
import com.hzya.frame.ttxofs.dto.ofssalesordersearch.SaleOrderMessageDto;
import lombok.Data;

/**
 * @Author：liuyang
 * @Package：com.hzya.frame.plugin.lets.u8cdto
 * @Project：kangarooDataCenterV3
 * @name：OrderOutTobHeaderDto
 * @Date：2024/8/12 18:07
 * @Filename：OrderOutTobHeaderDto
 */
@Data
public class OrderOutTobHeaderDto extends HeaderDetailsDto {

    /**
     * 表头公司（销售公司）、视为发货公司
     */
    private BdCorpEntity bdCorpEntity;

    /**
     * 发货库存组织
     */
    private BdCalbodyEntity bdCalbodyEntity;

    /**
     * 入库仓库
     */
    private BdStordocEntity bdStordocEntity;

    /**
     * 收货库存组织
     */
//    private BdCalbodyEntity bdCalbodyEntity1;

    /**
     * 收货仓库
     */
//    private BdStordocEntity bdStordocEntity1;

    /**
     * 销售组织
     */
    private BdSalestruEntity bdSalestruEntity;


    /**
     * 业务部门
     */
    private BdDeptdocEntity bdDeptdocEntity;

    /**
     * 客商管理档案
     */
    private BdCumandocEntity bdCumandocEntity;

    /**
     * 客商基本档案
     */
    private BdCubasdocEntity bdCubasdocEntity;

    /**
     * 发货公司
     */
    private BdCorpEntity deliverGoodsCorp;

    /**
     * U8C平台档案
     */
    private BdDefdocEntity platformArchives;

    /**
     * 店铺档案
     */
    private BdDefdocEntity shopArchives;

    /**
     * OFS销售订单
     */
    private SaleOrderMessageDto saleOrderMessageDto;
}