package com.hzya.frame.ttxofs.dto.ofsBaseSearch;

import com.hzya.frame.ttxofs.basics.ReturnMessageBasics;
import lombok.Data;

import java.util.List;

/**
 * OFS SKU查询返回
 */
@Data
public class OFSSKUSearchResponse extends ReturnMessageBasics {
    private List<OFSSKU> data;

    @Data
    public static class OFSSKU{
        private String id;
        private String clientCode;
        private String companyCode;
        private String code;
        private String name;
        private String listPrice;
        private String netPrice;
        private String msrPrice;
        private String buyPrice;
        private String status;
        private String created;
        private String createdBy;
        private String lastUpdated;
        private String lastUpdatedBy;
    }
}
